# Class HostDetails

java.lang.Object
com.databricks.jdbc.model.telemetry.HostDetails

public class HostDetails extends Object

## Constructor Summary

Constructors
Constructor
Description
`HostDetails()`

## Method Summary

Modifier and Type
Method
Description
`HostDetails`
`setHostUrl(String hostUrl)`
`HostDetails`
`setNonProxyHosts(String non_proxy_hosts)`
`HostDetails`
`setPort(int port)`
`HostDetails`
`setProxyType(com.databricks.sdk.core.ProxyConfig.ProxyAuthType proxyType)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HostDetails

public HostDetails()

## Method Details

### setProxyType

public HostDetails setProxyType(com.databricks.sdk.core.ProxyConfig.ProxyAuthType proxyType)

### setNonProxyHosts

public HostDetails setNonProxyHosts(String non_proxy_hosts)

### setHostUrl

public HostDetails setHostUrl(String hostUrl)

### setPort

public HostDetails setPort(int port)

### toString

public String toString()

Overrides:
  `toString` in class `Object`